---
import { getConfig } from '@libs/config'
import { getVersionedDocsPath } from '@libs/path'
import Ads from '@components/Ads.astro'
import Code from '@components/shortcodes/Code.astro'
import ResponsiveImage from '@layouts/partials/ResponsiveImage.astro'
---

<div class="bd-masthead mb-3" id="content">
  <div class="container-xxl bd-gutter">
    <div class="col-md-8 mx-auto text-center">
      <a
        class="d-flex flex-column flex-lg-row justify-content-center align-items-center mb-4 text-dark lh-sm text-decoration-none"
        href="https://www.herodevs.com/support/nes-bootstrap?utm_source=Bootstrap_site&utm_medium=Banner&utm_campaign=v3and4_eol"
        rel="noopener"
        target="_blank"
      >
        <span class="d-sm-inline-flex align-items-center gap-1 py-2 px-3 me-2 mb-2 mb-lg-0 rounded-5 masthead-notice">
          Get Security Updates for Bootstrap 3 &amp; 4
          <svg class="bi" style="width: 20px; height: 20px; margin-block: -2px;" aria-hidden="true"
            ><use xlink:href="#arrow-right-short"></use></svg
          >
        </span>
      </a>
      <ResponsiveImage
        imgPath="/assets/brand/bootstrap-logo-shadow.png"
        alt="Bootstrap"
        width={200}
        height={165}
        classes="d-none d-sm-block mx-auto mb-3"
        lazyload={false}
      />
      <h1 class="mb-3 fw-semibold lh-1">Build fast, responsive sites with&nbsp;Bootstrap</h1>
      <p class="lead mb-4">
        Powerful, extensible, and feature-packed frontend toolkit. Build and customize with Sass, utilize prebuilt grid
        system and components, and bring projects to life with powerful JavaScript plugins.
      </p>
      <div class="d-flex flex-column flex-lg-row align-items-md-stretch justify-content-md-center gap-3 mb-4">
        <div class="d-inline-block v-align-middle fs-5">
          <Code code={`npm i bootstrap@${getConfig().current_version}`} lang="sh" />
        </div>
        <a
          href={getVersionedDocsPath('getting-started/introduction')}
          class="btn btn-lg bd-btn-lg btn-bd-primary d-flex align-items-center justify-content-center fw-semibold"
        >
          <svg class="bi me-2" aria-hidden="true"><use xlink:href="#book-half"></use></svg>
          Read the docs
        </a>
      </div>
      <p class="text-body-secondary mb-0">
        Currently <strong>v{getConfig().current_version}</strong>
        <span class="px-1">&middot;</span>
        <a href={getVersionedDocsPath('getting-started/download')} class="link-secondary">Download</a>
        <span class="px-1">&middot;</span>
        <a href="/docs/versions/" class="link-secondary text-nowrap">All releases</a>
      </p>
      <Ads />
    </div>
  </div>
</div>
